FreeMat

- Main Page
- Related Pages

vtkTensorProbeWidget

Section: Visualization Toolkit Widget Classes

# Usage

The class is used to probe tensors on a trajectory. The representation (vtkTensorProbeRepresentation) is free to choose its own method of rendering the tensors. For instance vtkEllipsoidTensorProbeRepresentation renders the tensors as ellipsoids. The interactions of the widget are controlled by the left mouse button. A left click on the tensor selects it. It can dragged around the trajectory to probe the tensors on it.

For instance dragging the ellipsoid around with vtkEllipsoidTensorProbeRepresentation will manifest itself with the ellipsoid shape changing as needed along the trajectory.

To create an instance of class vtkTensorProbeWidget, simply invoke its constructor as follows

      obj = vtkTensorProbeWidget

# Methods

The class vtkTensorProbeWidget has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTensorProbeWidget class.

- `string = obj.GetClassName ()` - Standard VTK class macros.
- `int = obj.IsA (string name)` - Standard VTK class macros.
- `vtkTensorProbeWidget = obj.NewInstance ()` - Standard VTK class macros.
- `vtkTensorProbeWidget = obj.SafeDownCast (vtkObject o)` - Standard VTK class macros.
- `obj.SetRepresentation (vtkTensorProbeRepresentation r)` - See vtkWidgetRepresentation for details.
- `obj.CreateDefaultRepresentation ()` - See vtkWidgetRepresentation for details.